- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_get_database()

## Synopsis

    const char *
    mongoc_uri_get_database (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Fetches the database portion of an URI if provided. This is the portion after the `/` but before the `?`.

## Returns

A string which should not be modified or freed or `NULL`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.